if not _G.MPGATrumpening then
	_G.MPGATrumpening = _G.MPGATrumpening or {}
	MPGATrumpening._path = ModPath
	MPGATrumpening._delay = 180
	MPGATrumpening._tag = "[MPGA]"
	MPGATrumpening._color = "fca955"
end

function MPGATrumpening:Version()
	if managers.blackmarket then
		local mask = managers.blackmarket:equipped_mask()
		if mask["mask_id"] == "win_donald" then
			return 1
		end
		if mask["mask_id"] == "win_donald_mega" then
			return 2
		end
	end
	return 0
end
	

function MPGATrumpening:Broadcast(message)
	if not Network:is_server() then 
		return false
	end
	local mask = self:Version()
	if mask == 0 then
		return false
	end
	if message then
		if mask == 2 then
			message = message:upper()
		end
		if managers.network:session() and managers.network:session():peers() then
			for i=2,4 do
				local peer2 = managers.network:session() and managers.network:session():peer(i)
				if peer2 then
					peer2:send("send_chat_message", ChatManager.GAME, _G.MPGATrumpening._tag .. message)
				end
			end
		end

		managers.chat:_receive_message(1, _G.MPGATrumpening._tag, message, Color(MPGATrumpening._color))
	end

	return true
end

function MPGATrumpening:Repeat(arr,num)
		local newNumb = (num % #arr) + 1
		local message = nil
		message = arr[newNumb]
		if self:Broadcast(message) then
			num = newNumb
			self:SaveNum(num)
		end
		DelayedCalls:Add("MPGATrumpening:Delayed_Message" , MPGATrumpening._delay, function()
			self:Repeat(arr,num)
		end)
end

function MPGATrumpening:LoadNum()
	local num = 0
	local file = io.open(MPGATrumpening._path .. "index", "r")
	if file then
		num = tonumber(file:read("*line"))
		file:close()
	end
	return num
end

function MPGATrumpening:SaveNum(num)
	local file = io.open(MPGATrumpening._path .. "index", "w+")
	if file then
		file:write(num)
		file:close()
	end
end

function MPGATrumpening:Start()
	local f = io.open(MPGATrumpening._path .. "wise words.txt","r")
	if not f then
		return
	end

	local arr = {}

	for line in f:lines() do
		table.insert (arr, line)
	end

	f:close()
	local num = self:LoadNum()
	
	DelayedCalls:Add("MPGATrumpening:Delayed_Message" , MPGATrumpening._delay, function()
		self:Repeat(arr,num)
	end)
end

_G.MPGATrumpening:Start()