local old_death = TradeManager.on_player_criminal_death
function TradeManager:on_player_criminal_death(criminal_name, respawn_penalty, hostages_killed, skip_netsend)
	old_death(self,criminal_name, respawn_penalty, hostages_killed, skip_netsend)
	if not Network:is_server() then
		return
	end
	local pid
	for __, data in pairs( managers.criminals._characters ) do
		if data.taken and criminal_name == data.name then
			pid = data.peer_id
		end
	end
	if pid == 1 then
		return
	end
	local mask = _G.MPGATrumpening:Version()
	if mask == 0 then
		return
	end
	local peer = managers.network:session() and managers.network:session():peer(pid)
	if peer then
		peer:send("send_chat_message", ChatManager.GAME, _G.MPGATrumpening._tag .. "YOU'RE FIRED!")
		local message = "Note to self: Fired that lousy loser "
		if mask == 2 then
			message = message:upper()
		end
		managers.chat:_receive_message(1, _G.MPGATrumpening._tag, message  .. peer:name() .. ". " , Color(MPGATrumpening._color))
	end
	
end